# Get a schedule

`GET /accounts/{accountID}/schedules/{scheduleID}`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Describes a schedule associated with an account. Requires at least 1 occurrence or recurTransfer to be specified.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/transfers.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `accountID` | path | string | Yes |  |
| `scheduleID` | path | string | Yes |  |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `description` | string |  | Simple description to place on the transfer. |
| `destinationAccountID` | string | Yes |  |
| `mode` | string | Yes | The operating mode for an account. Values: `sandbox`, `production`. |
| `occurrences` | array of object |  |  |
| `occurrences[].scheduleID` | string |  |  |
| `occurrences[].occurrenceID` | string |  |  |
| `occurrences[].mode` | string |  | Sandbox or production account mode of this schedule. Values: `sandbox`, `production`. |
| `occurrences[].generated` | boolean |  | True if this was generated by a RRule. |
| `occurrences[].indefinite` | boolean |  | True if the RRule set runs indefinitely. |
| `occurrences[].canceledOn` | string (date-time) |  |  |
| `occurrences[].runOn` | string (date-time) | Yes |  |
| `occurrences[].runTransfer` | object | Yes |  |
| `occurrences[].ranOn` | string (date-time) |  |  |
| `occurrences[].ranTransferID` | string |  |  |
| `occurrences[].status` | string |  | Status of the completed occurrence. Values: `pending`, `failed`, `completed`. |
| `occurrences[].error` | object |  | Contains details on why the occurrence errored. |
| `ownerAccountID` | string | Yes |  |
| `partnerAccountID` | string | Yes |  |
| `recur` | object |  |  |
| `recur.recurrenceRule` | string | Yes | RRule as defined by RFC 5545 (https://www.rfc-editor.org/rfc/rfc5545#section-3.3.10). Generators available online at the following sites - https://freetools.textmagic.com/rrule-generator, https://jkbrzt.github.io/rrule/ |
| `recur.runTransfer` | object | Yes |  |
| `recur.indefinite` | boolean |  | True if the RRule set runs indefinitely. |
| `recur.start` | string (date-time) |  |  |
| `scheduleID` | string | Yes |  |
| `sourceAccountID` | string | Yes |  |
| `createdOn` | string (date-time) | Yes |  |
| `updatedOn` | string (date-time) | Yes |  |
| `disabledOn` | string (date-time) |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/schedules/{scheduleID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.scheduling.get({
    accountID: "31afd98b-eb55-41b3-8a4f-0ee8ea69e4e0",
    scheduleID: "55487e07-f3b7-44e8-b6f3-64fc85701c34",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/money-movement/schedules/get/
